package springdata.jdbc.bug;

import org.springframework.data.annotation.*;
import org.springframework.data.relational.core.mapping.Table;

import java.time.Instant;
import java.time.LocalDateTime;
import java.util.Objects;


public class UserAuditClass {
    @LastModifiedBy
    private  String modifiedUser;
    @LastModifiedDate
    private  Instant modifiedDate;
    @CreatedBy
    private  String createdUser;
    @CreatedDate
    private  LocalDateTime createdDate;

    public UserAuditClass(String modifiedUser,
                          Instant modifiedDate,
                          String createdUser,
                          LocalDateTime createdDate) {
        this.modifiedUser = modifiedUser;
        this.modifiedDate = modifiedDate;
        this.createdUser = createdUser;
        this.createdDate = createdDate;
    }

    public String modifiedUser() {
        return modifiedUser;
    }

    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser;
    }

    public Instant modifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public String createdUser() {
        return createdUser;
    }

    public void setCreatedUser(String createdUser) {
        this.createdUser = createdUser;
    }

    public LocalDateTime createdDate() {
        return createdDate;
    }

    public void setCreatedDate(LocalDateTime createdDate) {
        this.createdDate = createdDate;
    }

    @Override
    public String toString() {
        return "UserAuditClass[" +
               "modifiedUser=" + modifiedUser + ", " +
               "modifiedDate=" + modifiedDate + ", " +
               "createdUser=" + createdUser + ", " +
               "createdDate=" + createdDate + ']';
    }


}
